-- ================================================================================================
-- ENERGY ORB
-- ================================================================================================

dofile("scripts/entities/entityinclude.lua")
charge = 0
delay = 1

-- REMEMBER TO UPDATE ENERGYORBCRACKED WHEN CHANGING THIS FILE!
 
-- ================================================================================================
-- FUNCTIONS
-- ================================================================================================

function init(me)
	setupEntity(me, "Clay/Clay")
	entity_setProperty(me, EP_MOVABLE, true)
	entity_setWeight(me, 200)
	entity_setCollideRadius(me, 16)
	
	entity_setMaxSpeed(me, 450)
	
	entity_setEntityType(me, ET_NEUTRAL)
	--entity_setAllDamageTargets(me, false)
end

function update(me, dt)
	entity_updateMovement(me, dt)
	entity_updateCurrents(me)
	
	entity_handleShotCollisions(me)
end

function enterState(me)
end

function exitState(me)
end

function hitSurface(me)
end

function damage(me, attacker, bone, damageType, dmg)	
	return false
end

function activate(me)
end
